Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgSystemSEOGenerator has a deprecated constructor in /home/mliellwe/public_html/plugins/system/seogenerator/seogenerator.php on line 36
A importância das atualizações! | MLiell Desenvolvimento e Consultoria Web
  • (66) 9915-2288
  • mliell.info@gmail.com

    A importância das atualizações!

    Toda vez que alguém lança uma atualização para seu produto, significa que ele está preocupado com segurança ou então adicionando novas ferramentas que irão facilitar o uso desse produto. Ao exemplo do que acontece com as montadoras de veículos quando fazem um recall de alguma peça que está com defeito de fábrica e informam os usuários para regularizarem com a maior urgência.

    Na web isso não é diferente, pois durante todo o processo de desenvolvimento de alguma extensão para Joomla! podem haver erros nos códigos, e esses erros podem gerar falhas em lugares específicos do CMS, e até mesmo da extensão instalada. Então os desenvolvedores identificam esses erros que não foram detectados em testes e versão betas, e trabalham para corrigi-los, sejam eles erros de segurança ou de funcionalidade com alguma versão.

     

    Então venho falar aqui da importância de manter seu sistema sempre atualizado, tanto o CMS quanto seus componentes, módulos e plug-ins. O Joomla 2.5 já possui uma verificação automática de novas versões, então fica fácil né? Alguns componentes também possuem verificação automática de versão e atualiza para você. Mas o que fazer quando não possui? Gosto de frisar que sempre ao desenvolver um projeto, que você faça uma documentação do mesmo, para que assim saiba quais extensões utilizou, e então vá até o site do desenvolvedor e verifique manualmente uma versão mais atualizada, leia as informações dessa nova versão e atualize.

    backup-restoreSegue agora umas dicas essenciais para que tudo ocorra bem. Antes de atualizar sempre faça um backup, pois novas atualizações podem afetar outras extensões e acontecer uma falha geral no sistema, e esse backup deve ser dos arquivos e banco de dados. Verifique se você tem instalado alguma extensão que seja vulnerável, acessando o Vulnerable Extensions List do Joomla. Outra dica legal é acessar com frequência a página das extensões atualizadas recentemente.

    Escrevi esse artigo pois passei por uma experiência muito boa, tinha um site desenvolvido em Joomla na versão 1.7 e já se passava uns 5 meses que a versão 2.5 foi lançada, até que resolvi atualizar, e muitos erros que havia no site foram corrigidos, ficou mais rápido e várias extensões que atualizei mudaram para melhor, adicionando funcionalidades que facilitaram muito meu cliente.

    logomliell

     

    Atuando desde 2007 na área de Tecnologia, a MLiell Desenvolvimento e Consultoria Web busca as melhores soluções para atender seus clientes com o objetivo de obter sempre os melhores resultados. Somos especializados no desenvolvimento de WebSites, Lojas Virtuais e Blogs, bem como serviço de Hospedagem com um Suporte Técnico diferenciado.

    Área Restrita

    Nossa Fan Page